function createDataset(fields, constraints, sortFields) {

	try {		
		// 'WSRMReports' é o identificador utilizado no cadastro do Web Service do RM Reports no Fluig
		const SERVICE_STUB = ServiceManager.getService('WSRMReports'); // Cria o objeto de Integração
		log.info("wsProjetos-> SERVICE_STUB: " + SERVICE_STUB);
		const SERVICE_HELPER = SERVICE_STUB.getBean();

		// Cria o obejto da classe principal do Servico
		const wsReport = SERVICE_HELPER.instantiate('com.totvs.WsReport');
		log.info("wsProjetos-> wsReport: " + wsReport);

		// Obtem o objeto do WS
		var iWsReport = wsReport.getRMIwsReport();
		log.info("wsProjetos-> iWsReport: " + iWsReport);

		// Usuário e senha para autenticação no RM
		var rm_user = 'XXXXX';
		var rm_pass = '*****';

		var authIwsDataServer = SERVICE_STUB.getBasicAuthenticatedClient(iWsReport, 'com.totvs.IwsReport', rm_user, rm_pass);
		log.info("wsProjetos-> authIwsDataServer: " + authIwsDataServer);

		var NomeRelatorio = 'Relatorio.pdf';
		var IdBoleto = '1';

		// recupera o ID do boleto de acordo com parâmetro passado na constraint
		if (constraints.length > 0) {
			IdBoleto = String(new java.lang.String(constraints[0].getInitialValue()));
		}
		
		// XML de parâmetros recuperado pelo Web Service do RM Reports
		var parametros = "<ParametersSet>" +
			"<xs:schema id=\"ParametersSet\" xmlns=\"\" xmlns:xs=\"http://www.w3.org/2001/XMLSchema\" xmlns:msdata=\"urn:schemas-microsoft-com:xml-msdata\">" +
			"<xs:element name=\"ParametersSet\" msdata:IsDataSet=\"true\" msdata:UseCurrentLocale=\"true\">" +
			"<xs:complexType>" +
			"<xs:choice minOccurs=\"0\" maxOccurs=\"unbounded\">" +
			"<xs:element name=\"ParametersTable\">" +
			"<xs:complexType>" +
			"<xs:sequence>" +
			"<xs:element name=\"Description\" type=\"xs:string\" minOccurs=\"0\" />" +
			"<xs:element name=\"Name\" msdata:Caption=\"Nome\" type=\"xs:string\" minOccurs=\"0\" />" +
			"<xs:element name=\"Value\" msdata:DataType=\"System.Object, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089\" msdata:Caption=\"Valor\" type=\"xs:anyType\" minOccurs=\"0\" />" +
			"<xs:element name=\"Type\" msdata:DataType=\"System.Type, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089\" type=\"xs:string\" minOccurs=\"0\" />" +
			"</xs:sequence>" +
			"</xs:complexType>" +
			"</xs:element>" +
			"</xs:choice>" +
			"</xs:complexType>" +
			"</xs:element>" +
			"</xs:schema>" +
			"<ParametersTable>" +
			"<Description />" +
			"<Name>CODCOLIGADA</Name>" +
			"<Value xsi:type=\"xs:int\" xmlns:xs=\"http://www.w3.org/2001/XMLSchema\" xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\">1</Value>" +
			"<Type>System.Int32, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089</Type>" +
			"</ParametersTable>" +
			"<ParametersTable>" +
			"<Description />" +
			"<Name>IDBOL</Name>" +
			"<Value xsi:type=\"xs:int\" xmlns:xs=\"http://www.w3.org/2001/XMLSchema\" xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\">" + IdBoleto + "</Value>" +
			"<Type>System.Int32, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089</Type>" +
			"</ParametersTable>" +
			"</ParametersSet>"

		// dados de cadastro relatório
		var CodigoColigadaRel = 1;
		var IdRelatorio = 29;
                var Contexto = "codcoligada=1;codsistema=G";

		// solicita a geração do realtório e armazena o identificador único
		var guid = authIwsDataServer.generateReport(CodigoColigadaRel, IdRelatorio, '', parametros, NomeRelatorio, Contexto);

		// recupera o tamanho do relatório gerado
		var size = authIwsDataServer.getGeneratedReportSize(guid);

		var offset = 0;
		var rptstr = "";
		var pack = 65000;

		// monta o arquivo com o relatório gerado
		while (offset < size) {
			var temp = pack;
			if ((offset + temp) > size)
				temp = size - offset;

			rptstr += authIwsDataServer.getFileChunk(guid, offset, temp);

			offset = offset + pack;
		}

		result = rptstr;

		log.info("Resultado do Servico: " + result);

		//O TBC retorna os valores da chave caso o registro tenha sido salvo,
		//caso contrário, a exceção ocorrida é enviada pelo mesmo retorno, porém
		//formatada entre linhas '==='

		if ((result != null) && (result.indexOf("===") != -1)) {
			log.info("Erro no serviço.");
			var msgErro = result.substring(0, result.indexOf("==="));
			log.info(msgErro);
			throw msgErro;
		}

		var dataset = DatasetBuilder.newDataset();

		dataset.addColumn("RELATORIO");
		dataset.addRow(new Array(result));

		log.info("RELATORIO: " + result);

		return dataset;

	} catch (e) {
		return getDatasetError(e);
	};
}

function getDatasetError(exception) {
	var dtsError = DatasetBuilder.newDataset();
	dtsError.addColumn("ERROR");
	dtsError.addRow(["Ocorreu um erro na execução do DataSet. Mensagem: " + exception]);
	return dtsError;

};
